<!DOCTYPE html>
<html>
<head>
<script>
function test()
{
  setInterval(refreshCounter, 1000);
}

function refreshCounter()
{
    fetch('count.php')
    .then(
      response => response.json()
    ).then(
      jsonResponse => {
        document.getElementById("result").innerHTML = jsonResponse.nohup;
        document.getElementById("pid").innerHTML = jsonResponse.test;
      }
    )

}

function start()
{
  fetch('start.php')
    .then(
      response => response.json()
    ).then(
      jsonResponse => {
        document.getElementById("result").innerHTML = jsonResponse.test;
      }
    )
}

function stop()
{
  fetch('stop.php')
    .then(
      response => response.json()
    ).then(
      jsonResponse => {
        document.getElementById("result").innerHTML = jsonResponse.test;
      }
    )
}

function backup()
{
  fetch('backup.php')
    .then(
      response => response.json()
    ).then(
      jsonResponse => {
        document.getElementById("result").innerHTML = jsonResponse.test;
      }
    )
}

function update()
{
  fetch('update.php')
    .then(
      response => response.json()
    ).then(
      jsonResponse => {
        document.getElementById("result").innerHTML = jsonResponse.nohup;
      }
    )
}
</script>
</head>
<body onload="test()">
<p>PID: <span id="pid"></span></p>
<p>last result:<span id="result"></span></p>
<button onclick="start()">Start</button>
<button onclick="stop()">Stop</button>
<button onclick="backup()">Backup</button>
<button onclick="update()">Update</button>
</body>
</html>
